using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(Territoire_Metadata))]
    public partial class Territoire
    {
        public string Referent => $"{this.Referent_Prenom} {this.Referent_Nom}";
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class Territoire_Metadata
    {
        [Required(ErrorMessage = "Obligatoire")]
        public int Id { get; set; }
        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Territoire")]
        public string Libelle { get; set; }
        [Display(Name = "SID du référent")]
        public string Referent_SID { get; set; }
        [Display(Name = "Nom du référent")]
        public string Referent_Nom { get; set; }
        [Display(Name = "Prénom du référent")]
        public string Referent_Prenom { get; set; }
        [Display(Name = "Structure du référent")]
        public string Referent_Structure { get; set; }
        [Display(Name = "Login du référent")]
        public string Referent_Login { get; set; }
        public int Ordre { get; set; }

        [Display(Name = "Référent")]
        public string Referent;
    }
}